# Delivery methods

Delivery methods are created and attached to a single property, products that are sold for that property are assigned delivery methods by the users.

## List delivery methods

<mark style="color:blue;">`GET`</mark> `https://api.giftpro.co.uk/properties/{domainID}/deliveryMethods/`

Returns a list of the delivery methods that are available to the property

#### Path Parameters

| Name                                       | Type | Description                                                                             |
| ------------------------------------------ | ---- | --------------------------------------------------------------------------------------- |
| domainID<mark style="color:red;">\*</mark> | int  | The [property](/reference/properties.md) you want to retrieve the delivery methods for. |

{% tabs %}
{% tab title="200: OK An array of delivery methods" %}

```json
[
    {
        "methodID": 2125,
        "domainID": 142,
        "name": "Email",
        "description": "Delivered instantly to your inbox",
        "requiresFulfillment": false,
        "offlineOnly": false,
        "basePrice": 0.00
    },
    {
        "methodID": 2126,
        "domainID": 142,
        "name": "Royal Mail 1st Class",
        "description": "Delivered on or before {date}",
        "requiresFulfillment": true,
        "offlineOnly": false,
        "basePrice": 2.95
    }\
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.giftpro.co.uk/reference/properties/delivery-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
